#ifndef HTTPGETUSERINFOBYID_H
#define HTTPGETUSERINFOBYID_H
#include <QThread>
#include <QNetworkAccessManager>
#include <QtQml/qqml.h>

class HttpGetUserInfoById: public QThread
{
    Q_OBJECT

    QML_NAMED_ELEMENT(HttpGetUserInfoById)
public:
    explicit HttpGetUserInfoById(QObject *parent=nullptr);
    ~HttpGetUserInfoById();
protected:
    void run() override;
    void cleanUserInfoModel();
private:
    void httpRequestGetUserInfoById(void);
public slots:
    void slotHttpResponseGetUserInfoById(QByteArray data);
signals:
    void signalGetRequestData(quint64 id, QString postUrl, QByteArray data, QString token);
    void signalUserInfoByIdReturnStat(int stat, const QVariantMap& userInfo);
public:
    int m_userId;
};
#endif // HTTPGETUSERINFOBYID_H
